"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Select Option for DescriptorSetProto
const SelectOptions = ({
  classes,
  state,
  opts,
  onChange,
  onFocus,
  onBlur,
  id,
  name = ''
}) => {
  if (!Array.isArray(opts)) {
    opts = Object.keys(opts);
  }

  return /*#__PURE__*/_react.default.createElement("select", {
    onChange: onChange ? e => onChange(e, id) : null,
    onFocus: onFocus ? e => {
      onFocus(e, id);
    } : null,
    onBlur: onBlur ? e => {
      onBlur(e, id);
    } : null,
    name: name,
    value: state[name],
    className: (0, _classnames.default)(classes.selectBase, classes.descriptorSelect)
  }, opts.map((opt, i) => {
    return /*#__PURE__*/_react.default.createElement("option", {
      key: i,
      value: opt
    }, opt);
  }));
};

var _default = /*#__PURE__*/_react.default.memo(SelectOptions, (oldProps, newProps) => {
  return newProps.shouldUpdate ? newProps.shouldUpdate(oldProps, newProps) : false;
});

exports.default = _default;