"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _ThemeGenerator = _interopRequireDefault(require("./ThemeGenerator"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useTheme = (options, type) => {
  const refThemeGen = (0, _react.useRef)(new _ThemeGenerator.default(options)).current;
  type = type || 'light';
  const [mode, setMode] = (0, _react.useState)(type);
  const [theme, setTheme] = (0, _react.useState)(() => refThemeGen.getTheme(mode));

  function changeTheme(mode) {
    if (!refThemeGen.getTheme(mode)) {
      console.error(`Theme does not contain theme of mode type: ${mode} -- defaulting to light theme`);
      setMode('light');
    }

    setMode(mode);
  }

  function updateTheme(type, color) {
    refThemeGen.updatePalette(mode, type, color);
    setTheme(refThemeGen.getTheme(mode));
  }

  (0, _react.useEffect)(() => {
    setTheme(refThemeGen.getTheme(mode));
  }, [mode]);
  return {
    theme,
    changeTheme,
    updateTheme,
    generator: refThemeGen
  };
};

var _default = useTheme;
exports.default = _default;